အကြောင်းအရာသို့ ကျော်ရန်

Qwen Image · Image to Image

ပေါင်းစည်းရန်

မော်ဒယ် id qwen-image/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-image/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၄ $ ၄၀ API ခရက်ဒစ် · ≈ ၄.၃၀ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်

ရည်ညွှန်းပုံကို ပရောမ့်နှင့် Denoising အားဖြင့် ထိန်းချုပ်ကာ Qwen Image စတိုင်ပြောင်းလဲခြင်း

Alibaba · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ပုံဖန်တီးမှုကို လမ်းညွှန်သည့် ပရောမ့်။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဖန်တီးမှုကို ဦးတည်စေရန် အသုံးပြုသည့် ကိုးကားပုံ။

image_size

ထွက်ရလဒ်အတိုင်းအတာ override (image_size)။ ပေးထားသောပုံကို အရွယ်အစားသတ်မှတ်ရန် မူလအခြေခံအဖြစ် အသုံးပြုသည်။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် negative_prompt · output_format · acceleration · num_inference_steps · guidance_scale · strength · seed · enable_safety_checker · use_turbo · loras
မူလ

ဖန်တီးမှုအတွင်း အသုံးပြုသည့် အနုတ်လက္ခဏာပရောမ့်။

output_format မူလ png

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

acceleration မူလ none

ပုံဖန်တီးမှု အရှိန်မြှင့်ခြင်း။ အရည်အသွေးနှင့် အမြန်နှုန်းကို မျှတစေရန် 'regular'၊ စာသားမပါသောပုံများအတွက် အကြံပြုထားသည့် 'high' သို့မဟုတ် 'none' ကို ရွေးချယ်နိုင်သည်။ အရှိန်မြှင့်မှု တိုးလေ ဖန်တီးမှု မြန်လေဖြစ်သည်။

မူလ 30

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 2.5

ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။

မူလ 0.6

Noise ဖယ်ရှားမှု ပြင်းအား။ 1.0 သည် ပုံကို အပြည့်အဝပြန်လည်ဖန်တီးပြီး 0.0 သည် မူရင်းအတိုင်း မပြောင်းလဲထားသည်။

ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။

မူလ []

ပုံဖန်တီးမှု LoRA ရွေးချယ်မှု။ နောက်ဆုံးပုံအတွက် တစ်ခုတည်းသော ပေါင်းစပ်ဖွဲ့စည်းမှုအဖြစ် အများဆုံး 3 ခု ပေါင်းစပ်နိုင်သည်။

POST /run/qwen-image/image-to-image?wait=20 ကုန်ကျစရိတ် → ၀.၀၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-image/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Qwen Image · Image to Image အကြောင်း

ရည်ညွှန်းပုံကို (`image_url`) `prompt` အတိုင်း ပြောင်းလဲပေးသည်။ 0 မှ 1 အတွင်း `strength` သည် မူရင်းပုံ၏ မည်မျှကို ထိန်းသိမ်းမည်ကို သတ်မှတ်သည် (မူလတန်ဖိုး 0.6)။ `image_size` သတ်မှတ်မထားပါက ထွက်ရလဒ်အရွယ်အစားသည် ထည့်သွင်းချက်အတိုင်း ဖြစ်သည်။ LoRA 3 ခုအထိ၊ `use_turbo`၊ အဆင့် 2 မှ 250 အထိနှင့် png သို့မဟုတ် jpeg ဖြင့် ထွက်ရလဒ် 1 ခုမှ 4 ခုအထိ ပံ့ပိုးသည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ပုံဖန်တီးမှုကို လမ်းညွှန်သည့် ပရောမ့်။
image_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ထွက်ရလဒ်အတိုင်းအတာ override (image_size)။ ပေးထားသောပုံကို အရွယ်အစားသတ်မှတ်ရန် မူလအခြေခံအဖြစ် အသုံးပြုသည်။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး30
၂ – ၂၅၀
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး2.5
၀ – ၂၀
ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၄
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှုသည် မလုံခြုံဟု သတ်မှတ်ခံရသော ပုံများအစား အနက်ရောင်ပုံများကို ပြန်ပေးသည်။ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးပြီး false သည် ခွင့်ပြုထားသောအကောင့်များအတွက်သာ ပိတ်ပေးသည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို မည်သို့ပင်ဖြစ်စေ စစ်ဆေးသည်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးpng
jpegpng
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
ဖန်တီးမှုအတွင်း အသုံးပြုသည့် အနုတ်လက္ခဏာပရောမ့်။
accelerationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးnone
noneregularhigh
ပုံဖန်တီးမှု အရှိန်မြှင့်ခြင်း။ အရည်အသွေးနှင့် အမြန်နှုန်းကို မျှတစေရန် 'regular'၊ စာသားမပါသောပုံများအတွက် အကြံပြုထားသည့် 'high' သို့မဟုတ် 'none' ကို ရွေးချယ်နိုင်သည်။ အရှိန်မြှင့်မှု တိုးလေ ဖန်တီးမှု မြန်လေဖြစ်သည်။
lorasရွေးချယ်နိုင်သည်
အမျိုးအစားobject[]
မူလတန်ဖိုး[]
ပုံဖန်တီးမှု LoRA ရွေးချယ်မှု။ နောက်ဆုံးပုံအတွက် တစ်ခုတည်းသော ပေါင်းစပ်ဖွဲ့စည်းမှုအဖြစ် အများဆုံး 3 ခု ပေါင်းစပ်နိုင်သည်။
loras[].pathလိုအပ်သည်
အမျိုးအစားstring
URL သို့မဟုတ် path အဖြစ် သတ်မှတ်ထားသော LoRA weights တည်နေရာ။
loras[].scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀ – ၄
အခြေခံမော်ဒယ်သို့ မပေါင်းစပ်မီ LoRA weight တွင် အသုံးပြုသော multiplier။
use_turboရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
Turbo မုဒ်သည် အရည်အသွေးမြင့်မားမှုကို ထိန်းသိမ်းရင်း ပိုမိုမြန်ဆန်စွာ ဖန်တီးရန် 10 steps နှင့် CFG=1.2 ၏ အကောင်းဆုံးပြင်ဆင်ထားသော ဆက်တင်များကို အသုံးပြုသည်။
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
ဖန်တီးမှုကို ဦးတည်စေရန် အသုံးပြုသည့် ကိုးကားပုံ။
strengthရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.6
၀ – ၁
Noise ဖယ်ရှားမှု ပြင်းအား။ 1.0 သည် ပုံကို အပြည့်အဝပြန်လည်ဖန်တီးပြီး 0.0 သည် မူရင်းအတိုင်း မပြောင်းလဲထားသည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, width, height, content_type}ဖန်တီးထားသော ပုံများ၏ ဖိုင်အချက်အလက်။
timings
object
seed
integerပုံဖန်တီးမှုအတွက် seed၊ ထည့်သွင်းချက်တွင် seed မပါပါက ကျပန်းရွေးချယ်ထားသောတန်ဖိုးကို ပါဝင်စေပြီး၊ ပါရှိပါက ပေးထားသောတန်ဖိုးကို ထပ်မံအသုံးပြုသည်။
has_nsfw_concepts
array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
prompt
stringပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/qwen-image/image-to-image.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt